buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Philippe Caruana>
Subject installing buildr on windows
Date Mon, 07 Oct 2013 16:37:41 GMT

I'm trying to install buildr on windows. I successfully installed ruby,
rubydev and configured JAVA_HOME

$ gem install buildr --platform mswin32
works fine

but when I try to run buildr :
$ buildr --version
rubygems/dependency.rb:247:in `to_specs': Could not find buildr (>= 0)
amongst [atoulme-Antwrap-0.7.4, builder-3.2.2,
buildr-1.4.13-x86-mswin32, bundler-1.3.5, diff-lcs-1.2.4,
highline-1.6.19, hoe-3.7.1, json_pure-1.8.0, minitar-0.5.4,
net-sftp-2.1.2, net-ssh-2.7.0, orderedhash-0.0.6, rake-,
rjb-1.4.8, rspec-2.14.1, rspec-core-2.14.5, rspec-expectations-2.14.3,
rspec-mocks-2.14.3, rubyforge-2.0.4, rubyzip-0.9.9, xml-simple-1.1.2]
C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems/dependency.rb:256:in `to_spec'
        from C:/Ruby187/lib/ruby/site_ruby/1.8/rubygems.rb:1231:in `gem'
        from C:/Ruby187/bin/buildr:22

Any idea ?
ps : I'm not used to windows anymore, so I made many mistakes. I am
trying to install buildr on a collegue's devbox before he installs a
proper OS.
Jean-Philippe Caruana

View raw message